エラー: Measurement StudioではNI Measurement.VISA.NSライブラリが必要です

更新しました Jul 16, 2019

問題

Measurement Studioを使用してVisual Studioでプロジェクトをビルドしていますが、NI Measurement.VISA.NSライブラリが必要ですというエラーが表示されます。このライブラリとは何ですか?また、どこからダウンロードできますか?

解決策

VisaNSライブラリは、NI-VISA .NET APIのレガシーバージョンです。これらのライブラリは、VISA計測器と通信するためのMeasurement Studio用APIを提供します。
 

可能であれば、新しいNI-VISA .NET APIを使用することをお勧めします。このAPIは、バージョン15.0以降のNI-VISAバージョンと共にインストールされます。
 

他の要因で従来のVisaNSライブラリを使用する必要がある場合は、NI-VISA 14.0以前をダウンロードします。このドライバにはVisaNSライブラリが含まれています。NI-VISAの新しいバージョンがすでにインストールされている場合は、NI-VISA 14.0以前をインストールする前にアンインストールする必要があります。

追加情報

使用しているバージョンのNI-VISAのreadmeを必ず参照してください。VisaNSライブラリまたはNI-VISA .NET APIを利用するには、異なるバージョンのMicrosoft .NET Frameworkが必要になる場合があります。

この記事はお役に立ちましたか?

いいえ